Bug 62267 - Segfault when insmod'in the ide-tape driver
Summary: Segfault when insmod'in the ide-tape driver
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-28 23:26 UTC by Joshua Giles
Modified: 2007-04-18 16:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-05 14:42:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is a copy of the output to dmesg (9.52 KB, text/plain)
2002-03-28 23:29 UTC, Joshua Giles
no flags Details
Prospective fix (558 bytes, patch)
2002-03-29 23:39 UTC, Pete Zaitcev
no flags Details | Diff

Description Joshua Giles 2002-03-28 23:26:16 UTC
Description of Problem:
Read the summary!

Version-Release number of selected component (if applicable):
2.4.18-0.4 version of the kernel

How Reproducible:
First time you try to insmod the ide-tape driver for a new tape drive this 
occurs...this sequence of events is always reproduceable.

Steps to Reproduce:
1. install new tape drive
2. insmod ide-tape
3. 

Actual Results:
See the tail (40 lines or so) of the attached file.

Expected Results:
Should not segfault!

Additional Information:

Comment 1 Joshua Giles 2002-03-28 23:29:41 UTC
Created attachment 51244 [details]
This is a copy of the output to dmesg

Comment 2 Pete Zaitcev 2002-03-29 16:56:37 UTC
I am taking it.


Comment 3 Pete Zaitcev 2002-03-29 22:50:09 UTC
ide-tape: Maximum supported speed in KBps - 4000
ide-tape: Continuous transfer limits in blocks - 0     <===== HUH?!
ide-tape: Current speed in KBps - 755

OK, device is broken, but it's not an excuse to oops.
I'll add a check or two to plug obvious holes where
the driver trusts the device microcode to return sane data.


Comment 4 Pete Zaitcev 2002-03-29 23:39:03 UTC
Created attachment 51430 [details]
Prospective fix

Comment 5 Pete Zaitcev 2002-04-01 18:13:48 UTC
In CVS now, but did not quite make it into 2.4.18-0.12,
so has to wait for the next release.


Comment 6 Arjan van de Ven 2002-04-05 14:42:16 UTC
Built into 2.4.18-0.13
should be in beta4

Comment 7 Jay Turner 2002-04-09 00:54:37 UTC
Fix confirmed with 2.4.18-0.13 . . . I'm able to insert the module without any
issues.


Note You need to log in before you can comment on or make changes to this bug.